#ifndef ROGUEDEFS_H
#define ROGUEDEFS_H

#include "SDL2/SDL_rect.h"

enum Directions : unsigned short {
	NORTH = 0x1,
	EAST = 0x2,
	SOUTH = 0x4,
	WEST = 0x8,
};

typedef SDL_Point Tile;
typedef SDL_Point Chunk;
typedef unsigned Sprite;

static inline bool operator==(SDL_Point const &lhs, SDL_Point const &rhs) {
	return lhs.x == rhs.x && lhs.y == rhs.y;
}

#endif // !ROGUEDEFS_H
